summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tail-2/assert6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/tail-2/assert b/tests/tail-2/assert
index 622069c91..2d56a6c3d 100755
--- a/tests/tail-2/assert
+++ b/tests/tail-2/assert
@@ -12,7 +12,7 @@ fi
tmp=tail-assert.$$
pwd=`pwd`
-trap "cd $pwd; rm -rf $dir" 0 1 2 3 15
+trap "cd $pwd; rm -rf $tmp" 0 1 2 3 15
test_failure=0
mkdir $tmp || test_failure=1
@@ -31,12 +31,12 @@ tail_pid=$!
# Arrange for the tail process to die after 12 seconds.
(sleep 12; kill $tail_pid) &
rm -f foo
-echo sleep 7...
+# echo sleep 7...
sleep 7
echo $ok > f
mv f foo
-echo waiting....
+# echo waiting....
wait
case "`cat err`" in